it-swarm.com.de

Füge Facebook zu Pidgin unter Ubuntu 16.04 hinzu

Ich habe versucht, Facebook mit XMPP und facebook(XMPP) in Pidgin zu integrieren, aber es hat nicht funktioniert. Ich erhalte Not Authorized. Ich habe auch purple-facebook gesehen, aber es ist nur bis Ubuntu 15.10 (siehe this ). Gibt es eine Möglichkeit, Facebook in Ubuntu 16.10 auf Pidgin zum Laufen zu bringen?.

1
RE60K

Pidgin hat die Unterstützung für Facebook XMPP ab Version 2.12 zusammen mit einigen anderen veralteten Diensten eingestellt. Siehe: http://www.omgubuntu.co.uk/2017/03/Pidgin-drops-facebook-xmpp .

Laut derselben Quelle ist Purple-Facebook jedoch weiterhin verfügbar, nur nicht unter dem von Ihnen angegebenen Link. Laden Sie stattdessen das Plugin hier herunter: https://github.com/dequis/purple-facebook/wiki

2
Jos

Hier erfahren Sie, wie Sie Pidgin einen Facebook-Chat hinzufügen. Anweisungen, die ich hier setze, finden Sie unter den folgenden Links. Ich poste Links als Ressource.

Zuerst müssen Sie die Tools installieren. durch Einfügen der folgenden Befehle in das Terminal

Sudo apt-get install build-essential checkinstall
Sudo apt-get install cvs Subversion git-core Mercurial
Sudo chown $USER /usr/local/src
Sudo chmod u+rwx /usr/local/src
Sudo apt-get install libpurple-dev
Sudo apt-get install libjson-glib-dev
Sudo apt-get install libglib2.0-dev **(not necessary for me)**

git clone https://github.com/jgeboski/purple-facebook.git
cd purple-facebook
./autogen.sh
make
Sudo make install
mkdir -p ~/.purple/plugins
cp Pidgin/libpurple/protocols/facebook/.libs/libfacebook.so ~/.purple/plugins

Dinge auf Ubuntu auf einfache Weise kompilieren

Lila Facebook GitHub

außerdem würde sich Pidgin nach der Installation nicht öffnen lassen. Nach dem Ausführen von Pidgin im Terminal. Ich habe die Fehlermeldung "Overlay-Bildlaufleiste konnte nicht geladen werden" erhalten. Wenn Sie Ubuntu Unity nicht verwenden, können Sie dieses Problem beheben, indem Sie die Overlay-Bildlaufleiste entfernen.

Sudo Apt-Get Purge Overlay-Bildlaufleiste

2
Paul